[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: (ITS#5227) old dsn acceptance

hyc@symas.com wrote:

> It seems a bit odd to be introducing support for that format now in 2.4, when 
> it was completely unsupported in 2.2 and 2.3. I.e., why wasn't this issue 
> raised during the migration to/thru either 2.2 or 2.3?

Probably because until 2.4

 #define csnValidate                                blobValidate

and as such any incompatible CSN was silently ignored.  So this has
always been broken, only 2.4 detects the inconsistency, but behaved
badly (assert) until your fix.


Ing. Pierangelo Masarati
OpenLDAP Core Team

SysNet s.r.l.
via Dossi, 8 - 27100 Pavia - ITALIA
Office:  +39 02 23998309
Mobile:  +39 333 4963172
Email:   pierangelo.masarati@sys-net.it